package com.cloudcross.ssp.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IDspGenericService;
import com.cloudcross.ssp.model.DspAdvertiser;

/**
 * 创建人：rongying
 * 创建时间：2015.12.11
 * dsp-广告主服务接口
 */

public interface IDspAdvertiserService extends IDspGenericService<DspAdvertiser>{
	
	/**
	 * 查询最大的id - 插入时获取
	 * 
	 * @param paramMap
	 * 				dspId和advertiserId
	 * @return 下一个id的值
	 */
	public Long isRepeat(Map<String,Long> paramMap);
	
	/**
	 * 批量查询广告主资质审核状态
	 * 
	 * @param paramMap
	 * 				dspId和advertiserIds
	 * @return 符合条件的记录
	 */
	public List<Map<String,Object>> queryState(Map<String,Object> paramMap);
	
}